using System;
using System.Collections.Generic;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using System.ComponentModel;


namespace PopdownWindowSample
{
    public partial class Window1 : System.Windows.Window
    {
        public Window1()
        {
            InitializeComponent();
        }

        protected override void OnInitialized(EventArgs e)
        {
            base.OnInitialized(e);

            fileExitMenuItem.Click += new RoutedEventHandler(fileExitMenuItem_Click);

            Person tom = new Person();
            tom.Name = "Tom";
            tom.Age = 11;

            DataContext = new Person[] { tom };
        }

        void fileExitMenuItem_Click(object sender, RoutedEventArgs e)
        {
            Close();
        }
    }

    class Person : INotifyPropertyChanged
    {
        string name;
        public string Name
        {
            get { return name; }
            set { name = value; Notify("Name"); }
        }

        int age;
        public int Age
        {
            get { return age; }
            set { age = value; Notify("Age"); }
        }

        public event PropertyChangedEventHandler PropertyChanged;
        void Notify(string prop) { if( PropertyChanged != null ) { PropertyChanged(this, new PropertyChangedEventArgs(prop)); } }
    }
}